
# Loads default set of integrations. Do not remove.
default_config:

# Load frontend themes from the themes folder
frontend:
  themes: !include_dir_merge_named themes

# configuration.yaml mqtt demo code:
# Demo SN  DCDA0C826ABD   {Display the SN code in the device list.}
mqtt:
  sensor:
    - name: "MAIN current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][1] | float | multiply(0.01) +  value_json.sense[17][1] | float | multiply(0.01) + value_json.sense[18][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"
      
    - name: "MAIN active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][2] | float | multiply(0.01) + value_json.sense[17][2] | float | multiply(0.01) + value_json.sense[18][2] | float | multiply(0.01)}}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "MAIN energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][3] | float | multiply(0.001) + value_json.sense[17][3] | float | multiply(0.001) +value_json.sense[18][3] | float | multiply(0.001)}}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "MAIN energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][4] | float | multiply(0.001) +value_json.sense[17][4] | float | multiply(0.001) + value_json.sense[18][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing
      
 
    - name: "A channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "A channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "A channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "A channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "A channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[16][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "B channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[17][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "B channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[17][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "B channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[17][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "B channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[17][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "B channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[17][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "C channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[18][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "C channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[18][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "C channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[18][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "C channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[18][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "C channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[18][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "1 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[0][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "1 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[0][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "1 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[0][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "1 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[0][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "1 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[0][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "2 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[1][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "2 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[1][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "2 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[1][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "2 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[1][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "2 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[1][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "3 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[2][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "3 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[2][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "3 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[2][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "3 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[2][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "3 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[2][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "4 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[3][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "4 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[3][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "4 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[3][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "4 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[3][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "4 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[3][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "5 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[4][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "5 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[4][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "5 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[4][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "5 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[4][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "5 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[4][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "6 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[5][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "6 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[5][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "6 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[5][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "6 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[5][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "6 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[5][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "7 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[6][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "7 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[6][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "7 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[6][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "7 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[6][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "7 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[6][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "8 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[7][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "8 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[7][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "8 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[7][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "8 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[7][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "8 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[7][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "9 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[8][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "9 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[8][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "9 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[8][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "9 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[8][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "9 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[8][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "10 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[9][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "10 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[9][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "10 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[9][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "10 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[9][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "10 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[9][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "11 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[10][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "11 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[10][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "11 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[10][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "11 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[10][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "11 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[10][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "12 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[11][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "12 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[11][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "12 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[11][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "12 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[11][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "12 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[11][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "13 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[12][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "13 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[12][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "13 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[12][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "13 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[12][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "13 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[12][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "14 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[13][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "14 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[13][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "14 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[13][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "14 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[13][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "14 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[13][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "15 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[14][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "15 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[14][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "15 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[14][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "15 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[14][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "15 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[14][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing


    - name: "16 channel voltage"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[15][0] | float | multiply(0.1) }}"
      unit_of_measurement: "V"
      icon: "mdi:flash"
      
    - name: "16 channel current"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[15][1] | float | multiply(0.01) }}"
      unit_of_measurement: "A"
      icon: "mdi:current-ac"


    - name: "16 channel active power"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[15][2] | float | multiply(0.01) }}"
      unit_of_measurement: "W"
      icon: "mdi:power-plug"

    - name: "16 channel energyIn"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[15][3] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing

    - name: "16 channel energyOut"
      state_topic: "SEMMETER/DCDA0C826ABD/HA"
      value_template: "{{ value_json.sense[15][4] | float | multiply(0.001) }}"
      unit_of_measurement: "kWh"
      icon: "mdi:counter"
      device_class: energy
      state_class: total_increasing




automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml


recorder:
  commit_interval: 300
  include:
    domains:
      - switch
      - light
      - cover
      - climate
      - sensor
      - binary_sensor
      - button
